%ext ck2

#Patch the sound file:
%patchfile  75568 "SOUNDS.CK2"

#Change the story, max file length 2'016 bytes 
%patchfile $15BC0 "HELPTEXT.CK2"

#Change the story, max file length 3'232 bytes
%patchfile $16AC0 "STORYTXT.CK2"

#Patch main texts:
%patchfile $16AC0 "STORYTXT.CK2" 
%patchfile $15844 "ENDTEXT.CK2"  
%patchfile $163A0 "PREVIEWS.CK2" 

#Ordering info text
%patch $1AADA  $0A $0A $0A $0A "Credits:" $0A $0A $0A $00
%patch $1AB00 "Graphics: Szemi,Levellass" $0A $0A $00
%patch $1AB26 "Level Editing: Szemi,Levellass" $0A $0A $00
%patch $1AB48 "Story written by: Szemi" $0A $0A $00
%patch $1AB6D $00
%patch $1AB92 $00
%patch $1ABB7 $00
%patch $1ABDA $00
%patch $1ABF8 $00
%patch $1AC13 $00
%patch $1AC2E $00
%patch $1AC49 $00
%patch $1AC67 $00
%patch $1AC8B $00
%patch $1ACAD $00
%patch $1ACD3 $00

#City names:
%patch $199AB "Xax" $00
%patch $199B2 "Earth" $00
%patch $199B8 "CT-VII" $00
%patch $199BF "Pluto" $00
%patch $199C8 "Venus" $00
%patch $199CE "Sun" $00
%patch $199D3 "Y-II" $00
%patch $199DA "Moon" $00

#Text
%patch $1A63C "SCORE:" #Hiscore message
%patch $1A670 "CONGRATULATIONS!"
%patch $1A643 "You saved"
%patch $1A600 "nothing at all!" $00
%patch $1A610 "planet!" $00
%patch $1A620 "planets!" $00
%patch $8712 $80 $2E #no cities
%patch $872B $90 $2E #city
%patch $8726 $A0 $2E #cities
%patch $1A6AE "Morts Left" 


#Text is read from;
%patch $51E8 $21 $2A #First line
%patch $51F1 $20 $2A #Second line
%patch $51FA $20 $2A #Third line
%patch $5203 $20 $2A #Fourth line
%patch $520C $20 $2A #Fifth line
%patch $5215 $20 $2A #Sixth line 
%patch $1A1A1 "After disabling the ship's" $0A
              "generators, Mort sets the self" $0A
              "destruct sequence and flees" $0A
              "the exploding ship. Success!" $00


#Text is read from;
%patch $5358 $D3 $2A
%patch $5361 $20 $2A
%patch $536A $20 $2A
%patch $5373 $20 $2A
%patch $537C $20 $2A
%patch $1A253 "The remains of the exploded" $0A
              "ship slowly scatter into the" $0A
              "cold depths of space." $00

#Vortiships limping away
%patch $5326 $3D $00 #Vortiship still sprite
%patch $53AA $3E $00 #Moving Vortiship sprite


%patch $53F0 $18 $00 #Bottom
%patch $53F8 $13 $00 #Top
%patch $1A2F7 "Wake up, Mort. It" $0A $00
%patch $1A30C "snowed last night" $0A
%patch $1A320 "There's no school!" $00

#Change box size
%patch $5435 $13 $00 #Top
#Text is read from;
%patch $1A333 "Wonderful, Father. That " $0A $00
%patch $1A34D "will give me time to rid" $0A $00
%patch $1A367 "the Galaxy of" $0A $00
%patch $1A37A "Keen's menace!" $00

#Change box size
%patch $5496 $13 $00 #Top
%patch $548E $18 $00 #Bottom
#Text is read from;
%patch $5467 $0E $2C
%patch $5470 $0E $2C
%patch $5479 $0E $2C
%patch $1A3C9 "OK, son, but you'd" $0A
%patch $1A3DD "better have a nourishing" $0A
%patch $1A3F7 "vitamin fortified bowl" $0A
%patch $1A40F "of Frosted Flakes first." $00

%patch $54D4 $15 $00 #Bottom
%patch $54DC $13 $00 #Top
%patch $1A429 "OK, dad..." $00


#Text read from: [value + 17780 = location]
%patch $90B8 $39 $2F #New Game
%patch $90C1 $38 $2F #Continue Game
%patch $90CA $38 $2F #Story
%patch $90D3 $38 $2F #About Me
%patch $90DC $38 $2F #High Scores
%patch $90E5 $38 $2F #Credits
%patch $90EE $38 $2F #Previews!
%patch $90F7 $38 $2F #Restart demo [Uses 2 $0A $0A in text!]

#Menu text [Text should end in $0A $00]
%patch $1A6B9 "   New Game" $0A
              "   Continue Game" $0A
              "   Story" $0A
              "   About Me..." $0A
              "   High Scores" $0A
              "   Credits" $0A
              "   Previews!" $0A
              "   Restart Demo" $0A $0A $00


%patch $19920 "SCORE" 
%patch $1992A "EXTRA MORT AT" 
%patch $19941 "MORTS" 
%patch $19952 "PISTOL" 
%patch $19967 "PLANETS SAVED" 
%patch $1997A "KEYS" 
%patch $19993 "PLEASE PRESS A KEY" 
%patch $19A0B "Loading Mortimer McMire Part 2... (version 1.31 1/23/90)" 
%patch $1A194 "Press ENTER:" #End of vorticon messages 

#About ID text
%patch $1A754 "Hello everybody. I'm Szemi.           " $0A $00
%patch $1A77C "As the Mort 1 finished then I will    " $0A $00
%patch $1A7A4 "keep on the trilogy and Mort          " $0A $00
%patch $1A7CC "can be able to save the galaxy.      " $0A $0A $00
%patch $1A7F4 "and make the other episodes.          " $0A $00
%patch $1A81C "Later Mort will has many adventure    " $0A $00
%patch $1A844 "on a planet called Cyberticon VII.    " $0A $00
%patch $1A86C "Well,that's all shortly.             " $0A $0A $00
%patch $1A894 "Now enjoy and have fun playing        " $0A $00
%patch $1A8BC "with Mort2 and stay tuned for the     " $0A $00
%patch $1A8E4 "next episode.                         " $00







%end